<?xml version="1.0" encoding="utf-8"?>
<!-- Edited with FutureStage XBRL Solution Library .NET 01-11 -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS_label" xlink:role="http://www.xbrl.org/2003/role/label">Accounts receivable from completed construction contracts and other</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Accounts receivable from completed construction contracts and other-CNS</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_AmanoYutakaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Amano, Yutaka</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_AmanoYutakaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Amano, Yutaka [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Construction</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Construction, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Decrease in money held in trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Decrease in money held in trust-InvCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Detailed schedules of completed work cost</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Detailed schedules of completed work cost[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:role="http://www.xbrl.org/2003/role/label">Disclosure of Sustainability-related Financial Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Disclosure of Sustainability-related Financial Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Finance</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Finance, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance, Initiatives for TCFD recommendations</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance, Initiatives for TCFD recommendations [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_GovernanceTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_GovernanceTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in long term guarantee deposits</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in long term guarantee deposits-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Increase (decrease) in long term guarantee deposits-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in provision for repairs on whole-building lease</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in provision for repairs on whole-building lease-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Increase (decrease) in provision for repairs on whole-building lease-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IritaniAtsushiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Iritani, Atsushi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_IritaniAtsushiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Iritani, Atsushi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KawaiShujiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kawai, Shuji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KawaiShujiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kawai, Shuji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kobayashi, Katsuma</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kobayashi, Katsuma [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKenjiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kobayashi, Kenji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKenjiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kobayashi, Kenji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MatsushitaMasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Matsushita, Masa</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MatsushitaMasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Matsushita, Masa [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Initiatives for TCFD recommendations</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Initiatives for TCFD recommendations [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MoriYoshihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Mori, Yoshihiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_MoriYoshihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mori, Yoshihiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding Money held in trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding Money held in trust[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding net sales of finance business included in net sales of other business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding net sales of finance business included in net sales of other business[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding operating loans</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding operating loans [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding subordinated debt and others</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding subordinated debt and others[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Okamoto, Tsukasa</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Okamoto, Tsukasa [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Policy on human resource development and improvement of internal environment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Provision for repairs on whole-building lease</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for repairs on whole-building lease-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Provision for repairs on whole-building lease-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Real estate</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Real estate, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information 2</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information 2, Metrics and targets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Metrics and targets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management, Initiatives for TCFD recommendations</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management, Initiatives for TCFD recommendations [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_SasakiMamiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sasaki, Mami</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_SasakiMamiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sasaki, Mami [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ShodaTakashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Shoda, Takashi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_ShodaTakashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Shoda, Takashi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Initiatives for TCFD recommendations</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Initiatives for TCFD recommendations [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_StrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_StrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Subordinated bonds and subordinated trust beneficiary right</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Subordinated bonds and subordinated trust beneficiary right-IOA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Subordinated bonds and subordinated trust beneficiary right-IOA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TakeuchiKeiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Takeuchi, Kei</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TakeuchiKeiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Takeuchi, Kei [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tanaka, Yoshimasa</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tanaka, Yoshimasa [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TateMasafumiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tate, Masafumi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TateMasafumiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tate, Masafumi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Treasury shares</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Treasury shares[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Cumulative effects of changes in accounting policies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Restated balance</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS" xlink:label="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_AmanoYutakaMember" xlink:label="jpcrp030000-asr_E00218-000_AmanoYutakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember" xlink:label="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF" xlink:label="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock" xlink:label="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember" xlink:label="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_GovernanceTextBlock" xlink:label="jpcrp030000-asr_E00218-000_GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF" xlink:label="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_IritaniAtsushiMember" xlink:label="jpcrp030000-asr_E00218-000_IritaniAtsushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_KawaiShujiMember" xlink:label="jpcrp030000-asr_E00218-000_KawaiShujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_KobayashiKatsumaMember" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_KobayashiKenjiMember" xlink:label="jpcrp030000-asr_E00218-000_KobayashiKenjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_MatsushitaMasaMember" xlink:label="jpcrp030000-asr_E00218-000_MatsushitaMasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_MoriYoshihiroMember" xlink:label="jpcrp030000-asr_E00218-000_MoriYoshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock" xlink:label="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_OkamotoTsukasaMember" xlink:label="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL" xlink:label="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember" xlink:label="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets" xlink:label="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_RiskManagementTextBlock" xlink:label="jpcrp030000-asr_E00218-000_RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_SasakiMamiMember" xlink:label="jpcrp030000-asr_E00218-000_SasakiMamiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_ShodaTakashiMember" xlink:label="jpcrp030000-asr_E00218-000_ShodaTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_StrategyTextBlock" xlink:label="jpcrp030000-asr_E00218-000_StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA" xlink:label="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_TakeuchiKeiMember" xlink:label="jpcrp030000-asr_E00218-000_TakeuchiKeiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_TanakaYoshimasaMember" xlink:label="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_TateMasafumiMember" xlink:label="jpcrp030000-asr_E00218-000_TateMasafumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00218-000_2023-03-31_02_2023-08-10.xsd#jpcrp030000-asr_E00218-000_TreasurySharesTextBlock" xlink:label="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS" xlink:to="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS" xlink:to="jpcrp030000-asr_E00218-000_AccountsReceivableFromCompletedConstructionContractsAndOtherCNS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_AmanoYutakaMember" xlink:to="jpcrp030000-asr_E00218-000_AmanoYutakaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_AmanoYutakaMember" xlink:to="jpcrp030000-asr_E00218-000_AmanoYutakaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_ConstructionReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF" xlink:to="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF" xlink:to="jpcrp030000-asr_E00218-000_DecreaseInMoneyHeldInTrustInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DetailedSchedulesOfCompletedWorkCostTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E00218-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_FinanceReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_GovernanceInitiativesForTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E00218-000_GovernanceTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E00218-000_GovernanceTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInLongTermGuaranteeDepositsOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF" xlink:to="jpcrp030000-asr_E00218-000_IncreaseDecreaseInProvisionForRepairsOnWholeBuildingLeaseOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IritaniAtsushiMember" xlink:to="jpcrp030000-asr_E00218-000_IritaniAtsushiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_IritaniAtsushiMember" xlink:to="jpcrp030000-asr_E00218-000_IritaniAtsushiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KawaiShujiMember" xlink:to="jpcrp030000-asr_E00218-000_KawaiShujiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KawaiShujiMember" xlink:to="jpcrp030000-asr_E00218-000_KawaiShujiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember" xlink:to="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember" xlink:to="jpcrp030000-asr_E00218-000_KobayashiKatsumaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KobayashiKenjiMember" xlink:to="jpcrp030000-asr_E00218-000_KobayashiKenjiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_KobayashiKenjiMember" xlink:to="jpcrp030000-asr_E00218-000_KobayashiKenjiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MatsushitaMasaMember" xlink:to="jpcrp030000-asr_E00218-000_MatsushitaMasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MatsushitaMasaMember" xlink:to="jpcrp030000-asr_E00218-000_MatsushitaMasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_MetricsAndTargetsInitiativesForTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_MetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MoriYoshihiroMember" xlink:to="jpcrp030000-asr_E00218-000_MoriYoshihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_MoriYoshihiroMember" xlink:to="jpcrp030000-asr_E00218-000_MoriYoshihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingMoneyHeldInTrustTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingNetSalesOfFinanceBusinessIncludedInNetSalesOfOtherBusinessTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingOperatingLoansTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock" xlink:to="jpcrp030000-asr_E00218-000_NotesRegardingSubordinatedDebtAndOthersTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember" xlink:to="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember" xlink:to="jpcrp030000-asr_E00218-000_OkamotoTsukasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E00218-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL" xlink:to="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL" xlink:to="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL" xlink:to="jpcrp030000-asr_E00218-000_ProvisionForRepairsOnWholeBuildingLeaseNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember" xlink:to="jpcrp030000-asr_E00218-000_RealEstateReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:to="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:to="jpcrp030000-asr_E00218-000_ReferenceToOtherInformation2MetricsAndTargets_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets" xlink:to="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets" xlink:to="jpcrp030000-asr_E00218-000_ReferenceToOtherInformationMetricsAndTargets_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_RiskManagementInitiativesForTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E00218-000_RiskManagementTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E00218-000_RiskManagementTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_SasakiMamiMember" xlink:to="jpcrp030000-asr_E00218-000_SasakiMamiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_SasakiMamiMember" xlink:to="jpcrp030000-asr_E00218-000_SasakiMamiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ShodaTakashiMember" xlink:to="jpcrp030000-asr_E00218-000_ShodaTakashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_ShodaTakashiMember" xlink:to="jpcrp030000-asr_E00218-000_ShodaTakashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E00218-000_StrategyInitiativesForTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E00218-000_StrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E00218-000_StrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA" xlink:to="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA" xlink:to="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA" xlink:to="jpcrp030000-asr_E00218-000_SubordinatedBondsAndSubordinatedTrustBeneficiaryRightIOA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TakeuchiKeiMember" xlink:to="jpcrp030000-asr_E00218-000_TakeuchiKeiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TakeuchiKeiMember" xlink:to="jpcrp030000-asr_E00218-000_TakeuchiKeiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember" xlink:to="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember" xlink:to="jpcrp030000-asr_E00218-000_TanakaYoshimasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TateMasafumiMember" xlink:to="jpcrp030000-asr_E00218-000_TateMasafumiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TateMasafumiMember" xlink:to="jpcrp030000-asr_E00218-000_TateMasafumiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock" xlink:to="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock" xlink:to="jpcrp030000-asr_E00218-000_TreasurySharesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>